Page MenuHomePhabricator

Cleanup Routing code
Closed, ResolvedPublic5 Story Points

Event Timeline

Nuria created this task.Jul 12 2017, 6:56 PM
Nuria assigned this task to mforns.Jul 17 2017, 4:25 PM
mforns moved this task from Next Up to In Progress on the Analytics-Kanban board.Jul 20 2017, 3:00 PM

In my opinion, we could remove vue-router as a dependency and use just a simple component that mirrors some property from the $store to the url and vice versa. That's what I had in mind with cleaning up the routing code. This way, whenever we add something that needs to be mirrored to the URL, it's a small change in the $store and the routing continues to work. It would also make the source smaller because vue does a bunch of stuff we don't need.

Hi @fdans !
I was finally able to rebase the code and push.
I tested this thoroughly and I think it can be deployed.
Please, review and merge if OK.
Cheers!

Nuria moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Sep 6 2017, 3:01 PM
Nuria closed this task as Resolved.Sep 19 2017, 5:54 PM